import { interpolateBrBG, interpolateRainbow } from 'd3-scale-chromatic';
export declare enum NxChromaticType {
    Single = "Single",// 单个颜色
    Sequential = "Sequential",// 渐变颜色序列
    Categorical = "Categorical"
}
export interface ColorScheme {
    group?: string;
    name: string;
    type: NxChromaticType;
    value: any;
}
/**
 * @deprecated use preview 'colors' attribute in measure instead
 *
 * @param name
 * @param domain
 * @param reverse
 * @returns
 */
export declare function getChromaticScale(name: string, domain: number[], reverse?: boolean): (t: number) => string;
export declare const NX_COLOR_CHROMATIC = 1;
/**
 * @deprecated use preview 'colors' attribute in measure instead
 */
export declare const CHROMATICS: ({
    provide: number;
    useValue: {
        group: string;
        name: string;
        type: NxChromaticType;
        value: readonly string[];
    };
    multi: boolean;
} | {
    provide: number;
    useValue: {
        group: string;
        name: string;
        type: NxChromaticType;
        value: typeof interpolateBrBG;
    };
    multi: boolean;
} | {
    provide: number;
    useValue: {
        group: string;
        name: string;
        value: typeof interpolateRainbow;
        type?: undefined;
    };
    multi: boolean;
})[];
