import { ChartDimension, ChartMeasure, ChartSettings, EntityType, Property, PropertyMeasure } from '@metad/ocap-core';
import { AxisEnum, ITooltip, SeriesComponentType } from '../types';
export declare function valueFormatter(measure: ChartMeasure, property: PropertyMeasure, settings?: ChartSettings): (value: number | string) => string;
/**
 * 计算出 ECharts tooltip 配置
 *
 * @param tooltipOptions
 * @param dimProperty
 * @param measures
 * @param seriesComponents
 * @param locale
 * @returns
 */
export declare function getEChartsTooltip(tooltipOptions: ITooltip, category: ChartDimension, entityType: EntityType, measures: Array<{
    measure: ChartMeasure;
    property: Property;
}>, seriesComponents: SeriesComponentType[], locale: string, rowRuler?: (data: any) => any): ITooltip;
/**
 * 计算矩阵 DataSet 相应的 Tooltip 组件属性
 *
 * @returns
 */
export declare function getEChartsMatrixTooltip(tooltipOptions: any, chartCategory: ChartDimension, seriesCategory: ChartDimension, _categoryAxis: AxisEnum, _valueAxis: AxisEnum, categoryValueTexts: Map<string, string>, seriesValueTexts: Map<string, string>, seriesComponents: SeriesComponentType[], settings: ChartSettings): any;
