import { ChartAnnotation, ChartDimension, ChartMeasure, EntityType, Property, PropertyMeasure } from '@metad/ocap-core';
import { EChartsDataset, IVisualMap } from '../types';
export declare function getColorLightnessVisualMap(measure: ChartMeasure, property: Property, dataset: EChartsDataset, visualMaps?: IVisualMap[]): {
    dimension: any;
    min: any;
    max: any;
    text: string[];
    formatter: (value: any) => string;
};
/**
 * Calc visualMap component for dimension
 *
 * @param dimension
 * @param chartAnnotation
 */
export declare function dimensionVisualMaps(dimension: ChartDimension, chartAnnotation: ChartAnnotation, dataset: EChartsDataset, entityType: EntityType): any[];
export declare function getMeasurePaletteVisualMap(chartMeasure: ChartMeasure, data: any[], property: PropertyMeasure): any;
/**
 * 为 ChartMeasure 生成 visualMap: 1. size 2. colorLightness 3. colors
 *
 * @param measure
 * @param property
 * @param dataset
 * @returns
 */
export declare function getSymbolSizeVisualMap(measure: ChartMeasure, property: Property, dataset: EChartsDataset): any;
