import { ChartAnnotation, ChartSettings, EntityType, QueryReturn } from '@metad/ocap-core';
import { EChartsContext, EChartsOptions, ICoordinate } from './types';
export declare function pie(data: QueryReturn<unknown>, chartAnnotation: ChartAnnotation, entityType: EntityType, settings: ChartSettings, options: EChartsOptions): {
    echartsOptions: any;
    valueAxis?: import("./types").AxisEnum;
    categoryAxis?: import("./types").AxisEnum;
    data: QueryReturn<unknown>;
    chartAnnotation: ChartAnnotation;
    entityType: EntityType;
    settings: ChartSettings;
    options: EChartsOptions;
    datasets?: import("./types").IDataset[];
    onClick?: (event: any) => {
        filter?: import("@metad/ocap-core").ISlicer;
        slicers: import("@metad/ocap-core").ISlicer[];
    };
};
/**
 * 单个笛卡尔坐标系, 对应一个 grid 内的组件
 *
 * @param data 数据数组
 * @param chartAnnotation 图形注解
 * @param entityType 实体类型
 * @param settings 图形设置
 * @param options 图形属性
 * @returns
 */
export declare function pieCoordinate(context: EChartsContext, data: Array<unknown>): ICoordinate;
