import { SmartChartEngine, SmartChartEngineState } from '@metad/ocap-core';
import { ECharts } from 'echarts/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { EChartEngineEvent } from './types';
export declare class SmartEChartEngine extends SmartChartEngine<SmartChartEngineState> {
    get echarts(): ECharts;
    set echarts(value: ECharts);
    protected echartsInstance$: BehaviorSubject<ECharts>;
    readonly error$: BehaviorSubject<any>;
    private context;
    readonly echartsOptions$: Observable<{
        options: any;
        error?: undefined;
    } | {
        error: any;
        options?: undefined;
    }>;
    readonly chartClick$: Observable<any>;
    /**
     * https://echarts.apache.org/en/api.html#events.selectchanged
     */
    readonly selectChanged$: Observable<any>;
    readonly chartContextMenu$: Observable<EChartEngineEvent>;
    readonly chartHighlight$: Observable<unknown>;
    constructor();
    selectChartOptions(): Observable<{
        options: any;
        error?: undefined;
    } | {
        error: any;
        options?: undefined;
    }>;
    dispatchAction(event: any): void;
    protected createLazyEvent<T>(eventName: string): Observable<T>;
}
